import { html as c } from "lit";
import { property as p } from "lit/decorators.js";
import { PieIconComponent as m } from "./PieIconComponent.js";
import { safeCustomElement as v } from "@justeattakeaway/pie-webc-core";
var a = Object.defineProperty, f = Object.getOwnPropertyDescriptor, i = (n, t, o, l) => {
  for (var e = l > 1 ? void 0 : l ? f(t, o) : t, s = n.length - 1, h; s >= 0; s--)
    (h = n[s]) && (e = (l ? h(t, o, e) : h(e)) || e);
  return l && e && a(t, o, e), e;
};
let r = class extends m {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--amex", this.class = "c-pieIcon c-pieIcon--amex", this.name = "IconPaymentAmex";
  }
  render() {
    return c`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 24 24" class="c-pieIcon c-pieIcon--amex"><path fill="#1f72cd" fill-rule="evenodd" d="M5.016 9.5 3 14.094h2.413l.3-.732h.683l.3.732h2.656v-.559l.236.56h1.374l.237-.572v.571h5.524l.672-.713.629.713 2.837.006-2.022-2.29 2.022-2.31h-2.793l-.654.7-.609-.7h-6.01l-.516 1.186L9.751 9.5H7.343v.54l-.268-.54zm.467.652h1.176l1.337 3.116v-3.116h1.289l1.033 2.234.951-2.234h1.282v3.297h-.78l-.006-2.583-1.138 2.583H9.93l-1.144-2.583v2.583H7.18l-.304-.74H5.233l-.304.74h-.86zm10.955 0h-3.173v3.295h3.123l1.007-1.092.97 1.092h1.015l-1.475-1.638 1.475-1.657h-.97l-1.002 1.08zm-10.383.558-.542 1.317h1.083zm7.994.727v-.602h1.979l.864.962-.902.967h-1.941v-.656h1.73v-.671z" clip-rule="evenodd"></path></svg>`;
  }
};
i([
  p({ type: String, reflect: !0 })
], r.prototype, "size", 2);
i([
  p({ type: String, reflect: !0 })
], r.prototype, "class", 2);
r = i([
  v("icon-payment-amex")
], r);
export {
  r as IconPaymentAmex
};
